package br.gov.serpro.cte.email.compor;

import org.junit.Test;

import br.gov.serpro.cte.common.ExpressoMailTestCase;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Nov 18, 2010 at 4:20:59 PM
 * 
 */
public class EnviarEmailMultiplosAnexosTestCase extends ExpressoMailTestCase {

	@Test
	public void testa() throws Exception {
		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
				Valor.ASSUNTO_MULTIPLOS_ANEXOS.getValue());
		selenium.click(Campo.ADICIONAR_ANEXO.getValue());
		selenium.type(Campo.ANEXO_1.getValue(), Valor.ANEXO_1.getValue());
		selenium.click(Campo.ADICIONAR_ANEXO.getValue());
		selenium.type(Campo.ANEXO_2.getValue(), Valor.ANEXO_2.getValue());
		super.sendEmail();
		super.assertMessage(Campo.MENSAGEM.getValue(),
				Mensagem.EMAIL_ENVIADO.getValue());

		// Remove email da Caixa de Entrada, itens enviados e lixeira.
		super.removeEmail(Valor.ASSUNTO_MULTIPLOS_ANEXOS.getValue());
	}

}
