package br.gov.serpro.cte.email.compor;

import org.junit.Test;

import br.gov.serpro.cte.common.ExpressoMailTestCase;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Nov 18, 2010 at 4:31:43 PM
 * 
 */
public class EnviarEmailCopiaOcultaTestCase extends ExpressoMailTestCase {

	@Test
	public void testa() throws Exception {
		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
				Valor.ASSUNTO_COPIA_OCULTA.getValue());
		selenium.click(Campo.COPIA_OCULTA_1.getValue());
		selenium.type(Campo.COPIA_OCULTA_CAMPO_1.getValue(),
				Valor.EMAIL_TESTE_3.getValue());
		super.sendEmail();
		super.assertMessage(Campo.MENSAGEM.getValue(),
				Mensagem.EMAIL_ENVIADO.getValue());

		// Remove email da Caixa de Entrada, itens enviados e lixeira.
		super.removeEmail(Valor.ASSUNTO_COPIA_OCULTA.getValue());
	}

}
